{ ... }:
let
  port = 11002;
in
{
  services.nginx.virtualHosts."req.donsz.nl" = {
    forceSSL = true;
    http2 = true;
    enableACME = true;

    locations."/" = {
      proxyPass = "http://[::1]:${toString port}";
    };
  };

  virtualisation.oci-containers.containers = {
    overseerr = {
      image = "ghcr.io/fallenbagel/jellyseerr:preview-seerr";
      environment = {
      };
      extraOptions = [ "--network=host" ];
      volumes = [
        "/var/lib/microvms/rr/storage/data/overseerr:/app/config"
      ];
    };
  };
}
